memory File Reference

Go to the source code of this file.

## Namespaces

namespace | std

## Macros

#define | __cpp_lib_experimental_observer_ptr
#define | _GLIBCXX_EXPERIMENTAL_MEMORY

## Functions

template<typename _Tp >
observer_ptr< _Tp > | std::experimental::make_observer (_Tp *__p) noexcept
template<typename _Tp >
bool | std::experimental::operator!= (nullptr_t, observer_ptr< _Tp > __p) noexcept
template<typename _Tp >
bool | std::experimental::operator!= (observer_ptr< _Tp > __p, nullptr_t) noexcept
template<typename _Tp , typename _Up >
bool | std::experimental::operator!= (observer_ptr< _Tp > __p1, observer_ptr< _Up > __p2)
template<typename _Tp , typename _Up >
bool | std::experimental::operator< (observer_ptr< _Tp > __p1, observer_ptr< _Up > __p2)
template<typename _Tp , typename _Up >
bool | std::experimental::operator<= (observer_ptr< _Tp > __p1, observer_ptr< _Up > __p2)
template<typename _Tp >
bool | std::experimental::operator== (nullptr_t, observer_ptr< _Tp > __p) noexcept
template<typename _Tp >
bool | std::experimental::operator== (observer_ptr< _Tp > __p, nullptr_t) noexcept
template<typename _Tp , typename _Up >
bool | std::experimental::operator== (observer_ptr< _Tp > __p1, observer_ptr< _Up > __p2)
template<typename _Tp , typename _Up >
bool | std::experimental::operator> (observer_ptr< _Tp > __p1, observer_ptr< _Up > __p2)
template<typename _Tp , typename _Up >
bool | std::experimental::operator>= (observer_ptr< _Tp > __p1, observer_ptr< _Up > __p2)
template<typename _Tp >
void | std::experimental::swap (observer_ptr< _Tp > &__p1, observer_ptr< _Tp > &__p2) noexcept

## Detailed Description

This is a TS C++ Library header.

Definition in file experimental/memory.

## Macro Definition Documentation

## __cpp_lib_experimental_observer_ptr

#define __cpp_lib_experimental_observer_ptr

Definition at line 54 of file experimental/memory.

## _GLIBCXX_EXPERIMENTAL_MEMORY

#define _GLIBCXX_EXPERIMENTAL_MEMORY

Definition at line 34 of file experimental/memory.

## Function Documentation

## make_observer()

template<typename _Tp >

observer_ptr< _Tp > std::experimental::fundamentals_v2::make_observer | ( | _Tp * | __p | ) |

noexcept

Definition at line 155 of file experimental/memory.

## operator!=() [1/3]

template<typename _Tp >

bool std::experimental::fundamentals_v2::operator!= | ( | nullptr_t | ,
|  | observer_ptr< _Tp > | __p
| ) |  |

noexcept

Definition at line 197 of file experimental/memory.

## operator!=() [2/3]

template<typename _Tp >

bool std::experimental::fundamentals_v2::operator!= | ( | observer_ptr< _Tp > | __p,
|  | nullptr_t |
| ) |  |

noexcept

Definition at line 190 of file experimental/memory.

## operator!=() [3/3]

template<typename _Tp , typename _Up >

bool std::experimental::fundamentals_v2::operator!= | ( | observer_ptr< _Tp > | __p1,
|  | observer_ptr< _Up > | __p2
| ) |  |

Definition at line 169 of file experimental/memory.

## operator<()

template<typename _Tp , typename _Up >

bool std::experimental::fundamentals_v2::operator< | ( | observer_ptr< _Tp > | __p1,
|  | observer_ptr< _Up > | __p2
| ) |  |

Definition at line 203 of file experimental/memory.

## operator<=()

template<typename _Tp , typename _Up >

bool std::experimental::fundamentals_v2::operator<= | ( | observer_ptr< _Tp > | __p1,
|  | observer_ptr< _Up > | __p2
| ) |  |

Definition at line 220 of file experimental/memory.

## operator==() [1/3]

template<typename _Tp >

bool std::experimental::fundamentals_v2::operator== | ( | nullptr_t | ,
|  | observer_ptr< _Tp > | __p
| ) |  |

noexcept

Definition at line 183 of file experimental/memory.

## operator==() [2/3]

template<typename _Tp >

bool std::experimental::fundamentals_v2::operator== | ( | observer_ptr< _Tp > | __p,
|  | nullptr_t |
| ) |  |

noexcept

Definition at line 176 of file experimental/memory.

## operator==() [3/3]

template<typename _Tp , typename _Up >

bool std::experimental::fundamentals_v2::operator== | ( | observer_ptr< _Tp > | __p1,
|  | observer_ptr< _Up > | __p2
| ) |  |

Definition at line 162 of file experimental/memory.

## operator>()

template<typename _Tp , typename _Up >

bool std::experimental::fundamentals_v2::operator> | ( | observer_ptr< _Tp > | __p1,
|  | observer_ptr< _Up > | __p2
| ) |  |

Definition at line 214 of file experimental/memory.

## operator>=()

template<typename _Tp , typename _Up >

bool std::experimental::fundamentals_v2::operator>= | ( | observer_ptr< _Tp > | __p1,
|  | observer_ptr< _Up > | __p2
| ) |  |

Definition at line 228 of file experimental/memory.

## swap()

template<typename _Tp >

void std::experimental::fundamentals_v2::swap | ( | observer_ptr< _Tp > & | __p1,
|  | observer_ptr< _Tp > & | __p2
| ) |  |

noexcept

Definition at line 148 of file experimental/memory.